<!-- //////////////////////START-PRODUCT-LIST////////////////////////////// -->
<div class="card">
  <div class="card-header">
    <h2>Filtro de producto</h2>
    <br><br>
    <form role="form" method="GET" action="{{path_for('product-list')}}">
      <div class="row">
        <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-10">
          <div class="input-group">
            <span class="input-group-addon">
              <i class="zmdi zmdi-search"></i>
            </span>
            <div class="fg-line">
              <input type="text" class="form-control" name="keyword" placeholder="Palabra clave..." value="{{selected.keyword}}">
            </div>
          </div>
        </div>
        <div class="col-lg-3 col-md-3 col-sm-3 col-sx-3 m-t-10">
          <div class="input-group">
            <span class="input-group-addon">
              <i class="zmdi zmdi-search"></i>
            </span>
            <div class="fg-line">
              <input type="text" class="form-control" name="sku" placeholder="SKU" value="{{selected.sku}}">
            </div>
          </div>
        </div>
        <div class="col-lg-2 col-md-2 col-sm-2 col-sx-2 m-t-10">
          <div class="input-group">
            <span class="input-group-addon">
              <i class="zmdi zmdi-search"></i>
            </span>
            <div class="fg-line">
              <select class="chosen" name="brand" data-placeholder="Marca">
                <option></option>
                {% for brand in brands %}
                  <option value="{{brand.brand_id}}" {% if selected.brand_id==brand.brand_id %} selected="selected" {% endif %}>{{brand.brand_name}}</option>
                {% endfor %}
              </select>
            </div>
          </div>
        </div>
        <div class="col-lg-2 col-md-2 col-sm-2 col-sx-2 m-t-10">
          <div class="input-group">
            <span class="input-group-addon">
              <i class="zmdi zmdi-search"></i>
            </span>
            <div class="fg-line">
              <select class="chosen" name="product_status" data-placeholder="Estado">
                <option></option>
                <option value="A" {% if selected.product_status=="A" %} selected="selected" {% endif %}>Activo</option>
                <option value="I" {% if selected.product_status=="I" %} selected="selected" {% endif %}>Inactivo</option>
              </select>
            </div>
          </div>
        </div>
        <div class="col-lg-1 col-md-1 col-sm-1 col-sx-1 m-t-10">
          <button type="submit" class="btn btn-primary">
            <i class="zmdi zmdi-search"></i>
            Buscar</button>
        </div>
      </div>
    </form>
  </div>
</div>

<div class="card">
  <div class="card-header">
    <div class="row">
      <div class="col-sm-9">
        <h2>Listado de productos</h2>
      </div>
      <div class="col-sm-3 text-right">
        <button type="button" class="btn palette-Orange bg" id="create-product" data-toggle="modal" href="#modalDefault">
          <i class="zmdi zmdi-plus-circle-o"></i>
          Nuevo producto
        </button>
      </div>
    </div>
    <br><br>
  </div>
  <div class="table-responsive">
    <table id="data-table-products" class="table table-striped table-condensed table-vmiddle">
      <thead>
        <tr>
          <th data-column-id="id" data-type="numeric" data-order="asc" data-identifier="true">#Nro</th>
          <th data-column-id="brand">Marca</th>
          <th data-column-id="family">Familia</th>
          <th data-column-id="product">Producto</th>
          <th data-column-id="type">Tipo</th>
          <th data-column-id="item">Item</th>
          <th data-column-id="sku">SKU</th>
          <th data-column-id="description1">Descripción</th>
          <th data-column-id="status">Estado</th>
          <th data-column-id="commands" data-formatter="commands" data-sortable="false">Acción</th>
        </tr>
      </thead>
      <tbody>
        {% for product in products %}
          <tr>
            <td>{{product.product_id}}</td>
            <td>{{product.brand_name}}</td>
            <td>{{product.family}}</td>
            <td>{{product.product}}</td>
            <td>{{product.type}}</td>
            <td>{{product.item}}</td>
            <td>{{product.sku}}</td>
            <td>{{product.description1}}</td>
            <td>
              {% if product.product_status == 'A' %}
                Activo
              {% else %}
                Inactivo
              {% endif %}
            </td>
          </tr>
          {% else%}
          <tr>
            <td colspan="10">Sin resultados</td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>

<!-- ////////////////////////////////////////////////////////////////// -->

<!-- ////////////////////////////////////////////////////////////////// -->

<!-- Modal Default -->
<div class="modal fade in" id="modalDefault" tabindex="-1" role="dialog" aria-hidden="true">
  <form role="form" id="form-new-product">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" style="display:inline-block">
            Nuevo producto
          </h4>
          <div class="toggle-switch hidden" data-ts-color="blue" style="float:right">
            <label for="ts4" class="ts-label">Estado</label>
            <input id="ts4" name="product_status" type="checkbox" hidden="hidden" checked="checked">
            <label for="ts4" class="ts-helper"></label>
          </div>
        </div>
        <div class="modal-body">
          <div id="modal-msg" style="display: none"></div>

          <div role="tabpanel" class="tab">
              <ul class="tab-nav text-center fw-nav" role="tablist" data-tab-color="amber">
                  <li class="active">
                    <a href="#tab_product" aria-controls="tab_product" role="tab" data-toggle="tab" aria-expanded="false">Producto</a>
                  </li>
                  <li class="hidden" role="presentation">
                    <a href="#tab_description" aria-controls="tab_description" role="tab" data-toggle="tab" aria-expanded="false">Descripción</a>
                  </li>
                  <li class="hidden" role="presentation">
                    <a href="#tab_origin" aria-controls="tab_origin" role="tab" data-toggle="tab" aria-expanded="true">Origen</a>
                  </li>
                  <li role="presentation">
                    <a href="#tab_rules" aria-controls="tab_rules" role="tab" data-toggle="tab" aria-expanded="true">Reglas</a>
                  </li>
              </ul>

              <div class="tab-content">
                  <div role="tabpanel" class="tab-pane animated flipInX active" id="tab_product">
                    <div class="row">
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-12 m-t-25">
                        <div class="input-group">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-tag-more"></i>
                          </span>
                          <div class="fg-line">
                            <label>Marca *</label>
                            <select class="selectpicker" name="brand_id" id="brand_id" data-placeholder="Seleccionar..." data-live-search="true">
                              <option value="">Seleccionar...</option>
                              {% for brand in brands %}
                                <option value="{{brand.brand_id}}">{{brand.brand_name}}</option>
                              {% endfor %}
                            </select>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <label>Tipo *</label>
                            <select class="selectpicker" name="type" id="type" data-live-search="true">
                              <option value="">Seleccionar...</option>
                              <option value="HW">Hardware (Appliances/Accesorios/Networking)</option>
                              <option value="SW">Software (Licencias de software)</option>
                              <option value="SaaS">SaaS (Contratos Fortinet servicios Cloud)</option>
                              <option value="Service">Servicio (Contratos Fortinet)</option>
                              <option value="Adv Services">Servicios Profesionales Fortinet (Vendor)</option>
                              <option value="SG">Servicios Profesionales GlobalGate</option>
                              <option value="Comodato">Comodato (Servicio de locación de equipos GlobalGate)</option>
                              <option value="Servicios IP">Servicios IP</option>
                            </select>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <label for="family_input">Familia *</label>
                            <select class="selectpicker" id="family_select" data-size="5" data-placeholder="Seleccionar..." data-live-search="true">
                              <option value="">Seleccionar...</option>
                              {% for f in family %}
                                <option value="{{f.family}}">{{f.family}}</option>
                              {% endfor %}
                              <option value="Otra">Otra</option>
                            </select>
                            <input type="text" class="form-control action-hide hide" id="family_input" name="family" placeholder="Ingresar una nueva familia">
                          </div>
                          <span class="input-group-addon last action-hide hide">
                            <button class="btn btn-warning waves-effect close-family">
                              <i class="zmdi zmdi-close"></i>
                            </button>
                          </span>
                        </div>
                      </div>
                    </div>
                    <input type="hidden" id="product_id" name="product_id">
                    <div class="row">
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25 hidden">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="identifier" name="identifier">
                            <label for="identifier" class="fg-label">Identificador</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="product" name="product">
                            <label for="product" class="fg-label">Producto nombre *</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25 hidden">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="item" name="item">
                            <label for="item" class="fg-label">Item</label>
                          </div>
                        </div>
                      </div>

                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream "></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="sku" name="sku">
                            <label for="sku" class="fg-label">SKU *</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25 m-b-30">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="price" name="price">
                            <label for="price" class="fg-label">Precio</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-30  m-b-30">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-comment-text"></i>
                          </span>
                          <div class="fg-line">
                            <textarea class="form-control" rows="5" data-gramm="true" spellcheck="false" data-gramm_editor="true" name="description1" id="description1"></textarea>
                            <label for="description1" class="fg-label">Descripción *</label>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div role="tabpanel" class="tab-pane animated flipInX hidden" id="tab_description">
                    <div class="row">
                      <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-30  m-b-30">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-comment-more"></i>
                          </span>
                          <div class="fg-line">
                            <textarea class="form-control" rows="5" data-gramm="true" spellcheck="false" data-gramm_editor="true" name="description2" id="description2"></textarea>
                            <label for="description2" class="fg-label">Otra descripción</label>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div role="tabpanel" class="tab-pane animated flipInX hidden" id="tab_origin">
                    <div class="row">
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="category" name="category">
                            <label for="category" class="fg-label">Categoría</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25 m-b-30">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="upc_code" name="upc_code">
                            <label for="upc_code" class="fg-label">Código UPC</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25 m-b-30">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="fed" name="fed">
                            <label for="fed" class="fg-label">FED</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25 m-b-30">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="gsa" name="gsa">
                            <label for="gsa" class="fg-label">GSA</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25 m-b-30">
                        <div class="input-group fg-float">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-view-stream"></i>
                          </span>
                          <div class="fg-line">
                            <input type="text" class="form-control" id="coo" name="coo">
                            <label for="coo" class="fg-label">COO</label>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div role="tabpanel" class="tab-pane animated flipInX" id="tab_rules">
                    <div class="row">
                      {% for rule in rules %}
                        <div class="col-md-4 m-t-30">
                          <label for="require-{{rule.rules_key}}" class="ts-label">¿{{rule.rules_description}}?</label>
                        </div>
                        <div class="col-md-2 m-t-30">
                          <div class="input-group">
                            <div class="fg-line">
                              <div class="toggle-switch" data-ts-color="blue">
                                <input class="require-check" id="require-{{rule.rules_key}}" name="require[{{rule.rules_key}}]" type="checkbox" hidden="hidden" {% if rule.rules_value == 'Y' %} checked="checked" {% endif %}>
                                <label for="require-{{rule.rules_key}}" class="ts-helper"></label>
                              </div>
                            </div>
                          </div>
                        </div>
                      {% endfor %}
                    </div>
                  </div>
              </div>
          </div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-link" data-dismiss="modal">Cerrar</button>
          <button type="button" class="btn btn-success save-product">Guardar</button>
        </div>
      </div>
    </div>
  </form>
</div>
<!-- //////////////////////END-PRODUCT-LIST////////////////////////////// -->
